Name:             jboss-el-3.0-api
Version:          1.0.13
Release:          %mkrel 5
Group:            Development/Java
Summary:          JSR-341 Expression Language 3.0 API
License:          (CDDL or GPLv2 with exceptions) and ASL 2.0

%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

URL:              https://github.com/jboss/jboss-el-api_spec
Source0:          %{url}/archive/jboss-el-api_3.0_spec-%{namedversion}.tar.gz
Source1:          https://www.apache.org/licenses/LICENSE-2.0.txt
Source2:          cddl.txt

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:        noarch

%description
The JSR-341 Expression Language 3.0 API classes.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-el-api_spec-jboss-el-api_3.0_spec-%{namedversion}

cp %{SOURCE1} .
cp %{SOURCE2} .

%pom_remove_plugin :maven-source-plugin

%pom_change_dep :javax.el-impl :javax.el

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE

%build
# tests are broken with the version of el in Mageia 8+
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE cddl.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE cddl.txt LICENSE-2.0.txt



%changelog
* Mon May 27 2024 ns80 <ns80> 1.0.13-5.mga10
+ Revision: 2068343
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.0.13-4.mga9
+ Revision: 1827654
- Mageia 9 Mass Rebuild

* Wed Dec 23 2020 neoclust <neoclust> 1.0.13-3.mga8
+ Revision: 1663033
- Disable tests. They are incompatible with jakarta-el 4.0.

* Sun Feb 16 2020 umeabot <umeabot> 1.0.13-2.mga8
+ Revision: 1536236
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 1.0.13-1.mga8
+ Revision: 1453729
- Update to version 1.0.13

* Tue Sep 18 2018 umeabot <umeabot> 1.0.5-2.mga7
+ Revision: 1262677
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 1.0.5-1.mga6
+ Revision: 1103258
- New version 1.0.5 Final
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.0-0.5.Alpha1.1.mga6
+ Revision: 977179
- sync package jboss-el-3.0-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-0.2.Alpha1.4.mga5
+ Revision: 746377
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0.0-0.2.Alpha1.2.mga4
+ Revision: 541246
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.0.0-0.2.Alpha1.1.mga4
+ Revision: 495388
- imported package jboss-el-3.0-api


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.2.Alpha1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 04 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha1
- Initial packaging


